Skip to main content
GET
/
v1
/
dynamic-qrcode
/
{id}
Get Dynamic QR Code Details
curl --request GET \
  --url https://conta-public-api.kiwify.com/v1/dynamic-qrcode/{id} \
  --header 'X-PoP-Challenge: <api-key>' \
  --header 'X-PoP-Format: <api-key>' \
  --header 'X-PoP-Signature: <api-key>' \
  --header 'x-access-id: <api-key>'
{
  "accept_change_value": false,
  "allowed_tax_ids": [
    "012.345.678-90",
    "45.059.493/0001-73"
  ],
  "amount_in_cents": 4000,
  "copy_paste_code": "00020126...",
  "created_at": "2023-11-07T05:31:56Z",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "picture_code_base64": "<string>",
  "updated_at": "2023-11-07T05:31:56Z",
  "due_date": "2026-12-31",
  "external_reference_id": "order-12345",
  "payer_data": {
    "document_number": "012.345.678-90",
    "name": "JoΓ£o Silva"
  },
  "transaction": {
    "amount_in_cents": 123,
    "created_at": "2023-11-07T05:31:56Z",
    "description": "<string>",
    "details": {
      "value": {
        "receiver": {
          "account_number": "<string>",
          "bank": "<string>",
          "bank_code": "<string>",
          "document": "<string>",
          "name": "<string>"
        },
        "sender": {
          "account_number": "<string>",
          "bank": "<string>",
          "bank_code": "<string>",
          "document": "<string>",
          "name": "<string>"
        },
        "message": "<string>",
        "pix_key": "<string>"
      }
    },
    "end_to_end_id": "E323070002024011012345612345678901234",
    "id": 123,
    "type": "<string>",
    "completed_at": "2023-11-07T05:31:56Z",
    "counterparty": "<string>",
    "med": {
      "can_be_disputed": true,
      "incoming_infraction": {
        "created_at": "2023-11-07T05:31:56Z",
        "end_to_end_id": "<string>",
        "id": 123,
        "original_amount_in_cents": 123,
        "original_transaction": {
          "created_at": "2023-11-07T05:31:56Z",
          "counterparty_name": "<string>"
        },
        "refunded_amount_in_cents": 123,
        "transaction_id": 123,
        "deadline": "2023-11-07T05:31:56Z",
        "funds_recovery": {
          "external_id": "<string>",
          "closed_at": "2023-11-07T05:31:56Z",
          "contact_email": "<string>",
          "contact_phone": "<string>",
          "external_created_at": "2023-11-07T05:31:56Z",
          "external_last_modified_at": "2023-11-07T05:31:56Z",
          "report_details": "<string>",
          "reporter_participant": "<string>",
          "root_transaction_id": "<string>"
        }
      },
      "outgoing_dispute": {
        "created_at": "2023-11-07T05:31:56Z",
        "end_to_end_id": "<string>",
        "id": 123,
        "original_amount_in_cents": 123,
        "original_transaction": {
          "created_at": "2023-11-07T05:31:56Z",
          "counterparty_name": "<string>"
        },
        "refunded_amount_in_cents": 123,
        "transaction_id": 123,
        "cancellation_requested_at": "2023-11-07T05:31:56Z",
        "deadline": "2023-11-07T05:31:56Z",
        "funds_recovery": {
          "external_id": "<string>",
          "closed_at": "2023-11-07T05:31:56Z",
          "contact_email": "<string>",
          "contact_phone": "<string>",
          "external_created_at": "2023-11-07T05:31:56Z",
          "external_last_modified_at": "2023-11-07T05:31:56Z",
          "report_details": "<string>",
          "reporter_participant": "<string>",
          "root_transaction_id": "<string>"
        }
      }
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.kiwify.com.br/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-access-id
string
header
required

UUID of the service account (e.g., 550e8400-e29b-41d4-a716-446655440000)

X-PoP-Challenge
string
header
required

Unix timestamp in milliseconds (e.g., 1704636800000). Must be within 5 minutes of server time.

X-PoP-Format
string
header
required

Must be 'service-account' for service account authentication

X-PoP-Signature
string
header
required

EdDSA signature of the request in base64 format. Signs: uri:method:body:timestamp

Path Parameters

id
string<uuid>
required

QR code identifier

Response

QR code details retrieved successfully

accept_change_value
boolean
required

Allows payer to change the QR code value when scanning

Example:

false

allowed_tax_ids
string[]
required

List of CPF/CNPJ allowed to pay this QR code. Empty if unrestricted.

Example:
["012.345.678-90", "45.059.493/0001-73"]
amount_in_cents
integer<int64>
required

Amount in cents

Example:

4000

copy_paste_code
string
required

PIX copy-paste code (BR Code)

Example:

"00020126..."

created_at
string<date-time>
required

QR Code creation timestamp

id
string<uuid>
required

Unique QR Code identifier

picture_code_base64
string
required

QR Code image in base64 format

status
enum<string>
required

QR Code status: active, cancelled, or completed

Available options:
waiting_payment,
paid,
cancelled
type
enum<string>
required

QR Code type: INSTANT or DUE_DATE

Available options:
INSTANT,
DUE_DATE
updated_at
string<date-time>
required

QR Code last update timestamp

due_date
string<date> | null

Due date in YYYY-MM-DD format (for DUE_DATE type)

Example:

"2026-12-31"

external_reference_id
string | null

External reference ID provided by the client (if any)

Example:

"order-12345"

payer_data
object

Payer information (required for DUE_DATE type)

transaction
object

Most recent transaction that paid this QR code.